## emperor 1.0.3+ds

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*
	rm -rf source/scripts/*
	rm -rf source/generated
	rm -rf doc/build/jsdoc/*

html:
	jsdoc ../emperor/support_files/js/ -d $(BUILDDIR)/jsdoc -c jsdoc-config.json
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Emperor.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Emperor.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Emperor"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Emperor"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
emperor (1.0.3+ds-7) unstable; urgency=medium

  * Team upload.
  * Section: python
  * DEP3
  * Add upstream patch fpr pandas 1.5 compatibility
    Closes: #1024820
  * Drop unused lintian-overrides
  * Fix description

 -- Andreas Tille <tille@debian.org>  Thu, 26 Jan 2023 07:54:27 +0100

emperor (1.0.3+ds-6) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.6.2 (routine-update)
  * Ignoring the test is no solution to become buildable with pandas 1.5

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2023 07:33:05 +0100

emperor (1.0.3+ds-5) UNRELEASED; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2023 07:03:30 +0100

emperor (1.0.3+ds-4) unstable; urgency=medium

  * Team Upload.
  * Add skip-not-installable restriction
  * Move skbio to depends

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Sep 2022 22:45:56 +0530

emperor (1.0.3+ds-3) unstable; urgency=medium

  [ Mohammed Bilal ]
  * Team upload.
  * Add autopkgtests
  * add lintian override
  * routine-update: Standards-Version: 4.6.1
  * routine-update: Remove trailing whitespace in debian/changelog
  * Update renamed lintian tag names in lintian overrides.

  [ Nilesh Patra ]
  * d/salsa-ci.yml: Disable i386 build due to skbio being uninstallable

 -- Mohammed Bilal <mdbilal@disroot.org>  Fri, 26 Aug 2022 22:02:44 +0530

emperor (1.0.3+ds-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload
  * Remove inactive uploaders

 -- Andreas Tille <tille@debian.org>  Wed, 17 Nov 2021 07:39:43 +0100

emperor (1.0.3+ds-1) unstable; urgency=medium

  [ Liubov Chuprikova ]
  * Initial release (Closes: #843022)

  [ Steffen Moeller ]
  * Bumped to latest upstream version
  * Standards-Version: 4.6.0
  * Tests are fine with PYTHONPATH set.
  * Changed repacksuffix from +dfsg to +ds
  * depend on libjs-qunit

  [ Routine-Update ]
  * debhelper-compat 13
  * Secure URI in copyright format
  * Add salsa-ci file
  * Rules-Requires-Root: no
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Steffen Moeller <moeller@debian.org>  Sun, 26 Sep 2021 21:14:28 +0200

=== debian/control ===
Source: emperor
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
           Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-bootstrap-theme,
               python3-numpydoc,
               python3-numpy <!nocheck>,
               python3-pandas <!nocheck>,
               python3-skbio <!nocheck>,
               python3-future <!nocheck>,
               python3-click <!nocheck>,
               jsdoc-toolkit <!nocheck>,
               python3-notebook <!nocheck>,
               python3-pytest <!nocheck>,
               libjs-qunit <!nocheck>
Standards-Version: 4.6.2
Homepage: https://biocore.github.io/emperor/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/med-team/emperor
Vcs-Git: https://salsa.debian.org/med-team/emperor.git

Package: python3-emperor
Architecture: all
Secction: python
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-numpy,
         python3-scipy,
         python3-click,
         python3-pandas,
         python3-jinja2,
         python3-future,
         python3-skbio,
         libjs-jquery-ui
Description: visualizing high-throughput microbial community data
 Emperor is an interactive next generation tool for the analysis,
 visualization and understanding of high throughput microbial
 ecology datasets.
 .
 Due to its tailor-made graphical user interface, delving into a new
 dataset to elucidate the patterns hidden in the data, has never been
 easier. Emperor brings a rich set of customizations and modifications
 that can be integrated into any QIIME or scikit-bio compliant dataset;
 with lightweight data files and hardware accelerated graphics,
 constitutes itself as the state of the art for analyzing N-dimensional
 data using principal coordinates analysis.

Package: python3-emperor-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends},
         libjs-bootstrap,
         libjs-jquery
Multi-Arch: foreign
Description: visualizing high-throughput microbial community data (coc)
 Emperor is an interactive next generation tool for the analysis,
 visualization and understanding of high throughput microbial
 ecology datasets.
 .
 Due to its tailor-made graphical user interface, delving into a new
 dataset to elucidate the patterns hidden in the data, has never been
 easier. Emperor brings a rich set of customizations and modifications
 that can be integrated into any QIIME or scikit-bio compliant dataset;
 with lightweight data files and hardware accelerated graphics,
 constitutes itself as the state of the art for analyzing N-dimensional
 data using principal coordinates analysis.
 .
 This package provides the documentation for python3-emperor.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export PYBUILD_NAME=emperor

export PYBUILD_AFTER_BUILD=python{version} setup.py develop --install-dir {build_dir}; \
	export PYTHONPATH={build_dir}:$(PYTHONPATH); \
	$(MAKE) -C doc html; \
	cp -rv {dir}/tests/test_data {build_dir}/tests

export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/emperor.egg* \
	{build_dir}/site.py {build_dir}/easy-install.pth \
	{build_dir}/f* {build_dir}/pasteurize {build_dir}/*.py

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs
	p="debian/python3-emperor-doc/usr/share/doc/python3-emperor/jsdoc" ; \
	if [ -d "$$p" ]; then \
	  echo "I: Removing date from jsdoc signature line for reproducible builds in $$p" ; \
	  sed -i \
	   's%Documentation generated by.*%Documentation generated by <a href="http://code.google.com/p/jsdoc-toolkit/" target="_blankt">JsDoc Toolkit</a>.%' \
	   `find $$p -name "*.html"` ; \
	else \
	  echo "W: Directory '$$p' not found." ; \
	fi

override_dh_auto_test:
	if [ ! -d tests/javascript_tests/qunit/ ]; then \
		mkdir tests/javascript_tests/qunit ; \
		cd tests/javascript_tests/qunit/ && ln -s /usr/share/javascript/qunit/qunit.css qunit-min.css \
		                                 && ln -s /usr/share/javascript/qunit/qunit.min.js qunit-min.js ; \
	fi
	PYTHONPATH=.pybuild/`find .pybuild -name cpython3*_emperor -type d|head -n 1`/build pytest-3

override_dh_auto_clean:
	dh_auto_clean
	cd $(CURDIR)/doc && make clean
	rm -fr tests/javascript_tests/qunit
	# since packaging seems problematic
	rm -rf debian/python3-emperor-doc debian/python3-emperor-doc.substvars

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
	 python3-all,
	 python3-click,
         python3-future,
         python3-notebook,
         python3-pytest,
Restrictions: allow-stderr, skip-not-installable

## emperor 1.0.4%2Bds

=== debian/watch ===
version=4
opts="uversionmangle=s/-beta/~beta/,repacksuffix=+ds,dversionmangle=auto,repack,compression=xz" \
   https://github.com/biocore/emperor/tags .*/v?(\d\S+)\.tar\.gz

## emperor 1.0.4+ds

=== debian/changelog ===
emperor (1.0.4+ds-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from node-jsdoc2 in BD. Closes: #1116731.
  * d/control: Drop "Rules-Requires-Root: no", already the default.
  * d/control: Drop "Priority: optional", already the default.
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 06 Oct 2025 13:50:00 +0200

emperor (1.0.4+ds-1) unstable; urgency=medium

  * Team Upload
  * Ack NMU
  * New upstream version 1.0.4+ds
  * Add an explicit runtime dependency on python3-pkg-resources
  * Refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Fri, 21 Feb 2025 21:54:15 +0100

emperor (1.0.3+ds-9.1) unstable; urgency=medium

  * Non-maintainer upload
  * Move from jsdoc-toolkit to node-jsdoc2 (Closes: #1074593)

 -- Bastian Germann <bage@debian.org>  Mon, 01 Jul 2024 18:07:00 +0000

emperor (1.0.3+ds-9) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS with pandas 2.0 (Closes: #1050144)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 04 Feb 2024 16:18:31 +0530

emperor (1.0.3+ds-8) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Remove extraneous dependency on python3-future
    Closes: #1058565

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Fix test

 -- Andreas Tille <tille@debian.org>  Fri, 15 Dec 2023 22:10:49 +0100

emperor (1.0.3+ds-7exp1) experimental; urgency=medium

  * Team upload
  * Build against scipy 1.10 and skbio in experimental
    Closes: #1029689
  * Fix typo in d/control: Section
  * Respect nocheck in DEB_BUILD_OPTIONS
  * Silence lintian about fonts

 -- Andreas Tille <tille@debian.org>  Thu, 26 Jan 2023 13:57:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
            Steffen Moeller <moeller@debian.org>
 Section: science
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-sphinx,
@@ -13,31 +12,29 @@
                python3-numpydoc,
                python3-numpy <!nocheck>,
                python3-pandas <!nocheck>,
-               python3-skbio <!nocheck>,
-               python3-future <!nocheck>,
+               python3-skbio (>= 0.5.8-2exp1~) <!nocheck>,
                python3-click <!nocheck>,
-               jsdoc-toolkit <!nocheck>,
+               node-jsdoc2,
                python3-notebook <!nocheck>,
                python3-pytest <!nocheck>,
                libjs-qunit <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://biocore.github.io/emperor/
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/med-team/emperor
 Vcs-Git: https://salsa.debian.org/med-team/emperor.git
 
 Package: python3-emperor
 Architecture: all
-Secction: python
+Section: python
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-numpy,
-         python3-scipy,
+         python3-scipy (>= 1.9),
          python3-click,
          python3-pandas,
+         python3-pkg-resources,
          python3-jinja2,
-         python3-future,
-         python3-skbio,
+         python3-skbio (>= 0.5.8-2exp1~),
          libjs-jquery-ui
 Description: visualizing high-throughput microbial community data
  Emperor is an interactive next generation tool for the analysis,

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,10 @@
 
 export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/emperor.egg* \
 	{build_dir}/site.py {build_dir}/easy-install.pth \
-	{build_dir}/f* {build_dir}/pasteurize {build_dir}/*.py
+	{build_dir}/f* {build_dir}/*.py {build_dir}/numpy-config
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_installdocs:
 	dh_installdocs
@@ -29,12 +29,14 @@
 	fi
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	if [ ! -d tests/javascript_tests/qunit/ ]; then \
 		mkdir tests/javascript_tests/qunit ; \
 		cd tests/javascript_tests/qunit/ && ln -s /usr/share/javascript/qunit/qunit.css qunit-min.css \
 		                                 && ln -s /usr/share/javascript/qunit/qunit.min.js qunit-min.js ; \
 	fi
 	PYTHONPATH=.pybuild/`find .pybuild -name cpython3*_emperor -type d|head -n 1`/build pytest-3
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
	 python3-all,
	 python3-click,
         python3-notebook,
         python3-pytest,
Restrictions: allow-stderr, skip-not-installable

## emperor 1.0.5%2Bds

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,7 @@
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_installdocs:
-	dh_installdocs
+execute_after_dh_installdocs:
 	p="debian/python3-emperor-doc/usr/share/doc/python3-emperor/jsdoc" ; \
 	if [ -d "$$p" ]; then \
 	  echo "I: Removing date from jsdoc signature line for reproducible builds in $$p" ; \
@@ -38,8 +37,7 @@
 	PYTHONPATH=.pybuild/`find .pybuild -name cpython3*_emperor -type d|head -n 1`/build pytest-3
 endif
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	cd $(CURDIR)/doc && make clean
 	rm -fr tests/javascript_tests/qunit
 	# since packaging seems problematic

## emperor 1.0.5+ds

=== debian/changelog ===
emperor (1.0.5+ds-1) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.3, no more change needed
  * New upstream version 1.0.5+ds
  * Drop dependency on python3-pkg-resources
  * Refresh python3.12,patch
  * Drop pandas-2.patch, applied upstream
  * Rewrite d/rules with newer & shorter syntax

 -- Alexandre Detiste <tchet@debian.org>  Sun, 11 Jan 2026 16:40:14 +0100

=== debian/control ===
Source: emperor
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Liubov Chuprikova <chuprikovalv@gmail.com>,
 Steffen Moeller <moeller@debian.org>,
Section: science
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libjs-qunit <!nocheck>,
 node-jsdoc2,
 python3-all,
 python3-click <!nocheck>,
 python3-notebook <!nocheck>,
 python3-numpy <!nocheck>,
 python3-numpydoc,
 python3-pandas <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-skbio (>= 0.5.8-2exp1~) <!nocheck>,
 python3-sphinx,
 python3-sphinx-bootstrap-theme,
Standards-Version: 4.7.3
Homepage: https://biocore.github.io/emperor/
Vcs-Browser: https://salsa.debian.org/med-team/emperor
Vcs-Git: https://salsa.debian.org/med-team/emperor.git

Package: python3-emperor
Architecture: all
Section: python
Depends:
 libjs-jquery-ui,
 python3-click,
 python3-jinja2,
 python3-numpy,
 python3-pandas,
 python3-scipy (>= 1.9),
 python3-skbio (>= 0.5.8-2exp1~),
 ${misc:Depends},
 ${python3:Depends},
Description: visualizing high-throughput microbial community data
 Emperor is an interactive next generation tool for the analysis,
 visualization and understanding of high throughput microbial
 ecology datasets.
 .
 Due to its tailor-made graphical user interface, delving into a new
 dataset to elucidate the patterns hidden in the data, has never been
 easier. Emperor brings a rich set of customizations and modifications
 that can be integrated into any QIIME or scikit-bio compliant dataset;
 with lightweight data files and hardware accelerated graphics,
 constitutes itself as the state of the art for analyzing N-dimensional
 data using principal coordinates analysis.

Package: python3-emperor-doc
Architecture: all
Section: doc
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: visualizing high-throughput microbial community data (coc)
 Emperor is an interactive next generation tool for the analysis,
 visualization and understanding of high throughput microbial
 ecology datasets.
 .
 Due to its tailor-made graphical user interface, delving into a new
 dataset to elucidate the patterns hidden in the data, has never been
 easier. Emperor brings a rich set of customizations and modifications
 that can be integrated into any QIIME or scikit-bio compliant dataset;
 with lightweight data files and hardware accelerated graphics,
 constitutes itself as the state of the art for analyzing N-dimensional
 data using principal coordinates analysis.
 .
 This package provides the documentation for python3-emperor.

=== debian/tests/control ===
Tests:
 run-unit-test,
Depends:
 python3-all,
 python3-click,
 python3-notebook,
 python3-pytest,
 @,
Restrictions:
 allow-stderr,
 skip-not-installable,
